<?PHP
//VERSION 2006-04-23
$error5="error5 Przykro nam, serwis jest dostepny wylacznie dla
autoryzowanych uzytkownikow $REMOTE_ADDR";

if(file_exists(".config.php")) include(".config.php");

require("$komputery_arr");
//$czy_error_5=exec("cat $komputery |grep $REMOTE_ADDR");
//if(in_array("$REMOTE_ADDR",$KOMPUTERY)) $DUPA=1 ;
if(in_array("$REMOTE_ADDR",$KOMPUTERY))  $czy_error_5=1 ;


//echo "$REMOTE_ADDR $czy_error_5 <br>" ;
if($czy_error_5) {



$ADM_USER=$SQL_USER ;
$ADM_USER_PASS=$SQL_USER_PASS ;
$SQL_TABLE_USERS="USERS2";
$SQL_TABLE_ADMIN_USERS="ADMIN_USERS";



$rach=$_GET['rach'];
$mail=$_GET['mail'];
$komp=$_GET['komp'];

     $conn=mysql_pconnect($INTERFACE_ADDR,$ADM_USER,$ADM_USER_PASS);
     if (!$conn) die("ERROR podczas tworzenia polaczenia do bazy $SQL_DATABASE !\n");
     mysql_select_db($SQL_DATABASE) or die("ERROR podczas wyboru bazy!");
     $zapSQL="SELECT S_IP,T_NETWORK_SERVER FROM $SQL_TABLE_USERS where ID_BILLING_USERS='$rach' and S_ALIAS='$mail' and (S_IP='$komp' or S_HOST='$komp' or ID_SERVICES='$komp') and (A_STATUS='NORMAL' or A_STATUS='WAITING')";
//echo "$zapSQL";
     $result = mysql_query($zapSQL,$conn) or die("ERROR\nPrzepraszamy, ale nie można w tej chwili dokonać autoryzacji.<br>Prosimy spróbować później bądź skontaktować się z Działem Technicznym<br>tel. 600-064-254");
 //   $user=mysql_fetch_object($result);
 //    if ((mysql_num_rows($result)>0) && ($user->pass==$PHP_AUTH_PW))
if (mysql_num_rows($result)==1) {
	$h=mysql_fetch_object($result);
	$S_IP=$h->S_IP;
	$T_NETWORK_SERVER=$h->T_NETWORK_SERVER;
	exec("ssh abo@".$T_NETWORK_SERVER." sudo arp -d ".$S_IP." 2>/dev/null",$output);
	$result=implode("<br>\n",$output);
	$query="UPDATE $SQL_TABLE_USERS set S_HWSTAT='DETECT' where S_IP='$S_IP'";
	mysql_query($query,$conn) or die("ERROR\nPrzepraszamy, ale nie można w tej chwili dokonać autoryzacji.<br>Prosimy spróbować później bądź skontaktować się z Działem Technicznym<br>tel. 600-064-254");
	echo "OK\n$S_IP";
} else echo "ERROR\nWystąpił błąd w trakcie autoryzacji.<br>Prosimy spróbować ponownie bądź skontaktować się z Działem Technicznym<br>tel. 600-064-254<br><form method=\"post\"><input type=\"submit\" value=\"Powrót\"></form>";

} else echo "ERROR\nWystąpił nieznany błąd.<br>Prosimy o kontakt z Działem Technicznym<br>tel. 600-064-254";
?>
